<div class="card bg-light js-deal" data-deal="{{ deal.id }}">
    <div class="card-header">
        <div class="deal-rating js-deal-rating">
            <div class="deal-rating__lower js-deal-rating-down"><span class="bi bi-dash-lg"></span></div>
            {% set rating = ratings[deal.id]|default(0) %}
            <div class="deal-rating__rating js-deal-rating-value {% if rating > hot_rating %}deal-rating__rating--hot{% endif %}">{{ 'deal.rating'|trans({'%value%': rating|default(0)}) }}</div>
            <div class="deal-rating__upper js-deal-rating-up"><span class="bi bi-plus-lg"></span></div>
        </div>
        <small class="text-muted">{{ deal.createdAt|format_datetime('short', 'short') }}</small>
    </div>
    <img src="{{ vich_uploader_asset(deal)|default(asset("build/images/no-image.png")) }}" class="deal-img" alt="{{ deal.title }}">
    <div class="card-body">
        <div class="d-flex flex-column justify-content-between h-100">
            <div>
                {% if deal.isExpired %}
                    <div class="text-danger fw-bold">Le deal est expiré !</div>
                {% endif %}
                <a href="{{ url('app_show_deal', {'slug': deal.slug}) }}" class="card-title">{{ deal.title }}</a>

                <div class="d-flex justify-content-around">
                    {% if deal.price is defined and deal.price is not null %}
                        <span class="deal__price mb-2">{{ deal.price|default(0.1)|format_currency('EUR') }}</span>
                    {% endif %}
                    {% if deal.reduction is defined and deal.reduction is not null %}
                        <span class="deal__reduction mb-2">{{ 'deal.reduction'|trans({type: deal.type, value: deal.reduction|format_number({fraction_digit: 2})})|raw }}</span>
                    {% endif %}
                    {% if deal.usualPrice is defined and deal.usualPrice is not null %}
                        <span class="deal__usual-price mb-2">{{ deal.usualPrice|default(0.1)|format_currency('EUR') }}</span>
                    {% endif %}
                </div>

                {% if deal.deliveryCosts is defined %}
                    {% if deal.deliveryCosts > 0 %}
                        <div class="text-center mb-3 fw-bold text-info"><span class="bi bi-truck me-2"></span>{{ 'deal.delivery'|trans({'%value%': deal.deliveryCosts})|raw }}</div>
                    {% elseif deal.deliveryCosts is same as(0) %}
                        <div class="text-center mb-3 fw-bold text-danger"><span class="bi bi-truck me-2"></span>{{ 'deal.free_delivery'|trans|raw }}</div>
                    {% endif %}
                {% endif %}

                {% if deal.type is defined and deal.type == constant('App\\Manager\\CouponManager::TYPE_FREE_DELIVERY') %}
                    <div class="text-center mb-3 fw-bold text-danger"><span class="bi bi-truck me-2"></span>{{ 'deal.free_delivery'|trans|raw }}</div>
                {% endif %}

                <p class="card-text">{{ deal.description[:75] }}...</p>
            </div>

                <div class="d-flex justify-content-between align-items-center">
                    <div>{{ deal.user.pseudo }}</div>
                    <button class="btn btn-outline-secondary"><span class="bi bi-chat-fill me-3"></span>{{ nbComments[deal.id]|default(0) }}</button>
                </div>
        </div>
    </div>
    <div class="card-footer">
        <a href="{{ url('app_show_deal', {'slug': deal.slug}) }}" class="btn btn-primary">{{ 'deal.seen'|trans|raw }}</a>
        {% if deal.coupon is not null %}
            <button class="btn btn-outline-primary">{{ deal.coupon }}<span class="bi bi-files ms-3"></span></button>
        {% endif %}
    </div>
</div>
